Resource

Probe

Manages custom probes. Deploy probes anywhere in the world and connect it to your project.

The Probe Model

Properties

  • Name
    _id
    Type
    Object ID
    Description

    ID of this object

  • Name
    createdAt
    Type
    Date
    Description

    Date and Time when the object was created.

  • Name
    updatedAt
    Type
    Date
    Description

    Date and Time when the object was updated.

  • Name
    key
    Type
    TextRequired
    Description

  • Name
    name
    Type
    NameRequired
    Description

  • Name
    description
    Type
    Name
    Description

  • Name
    slug
    Type
    SlugRequired
    Description

    Friendly globally unique name for your object

  • Name
    probeVersion
    Type
    VersionRequired
    Description

  • Name
    lastAlive
    Type
    Date
    Description

  • Name
    iconFile
    Type
    File
    Description

    Probe Icon

  • Name
    iconFileId
    Type
    Object ID
    Description

    Probe Page Icon File ID

  • Name
    project
    Type
    Project
    Description

  • Name
    projectId
    Type
    Object ID
    Description

  • Name
    createdByUser
    Type
    User
    Description

  • Name
    createdByUserId
    Type
    Object ID
    Description

    User ID who created this object (if this object was created by a User)

  • Name
    shouldAutoEnableProbeOnNewMonitors
    Type
    BooleanRequired
    Description

    Auto Enable Probe on New Monitors

  • Name
    connectionStatus
    Type
    Text
    Description

    Connection Status of the Probe

  • Name
    labels
    Type
    Label
    Description

    Relation to Labels Array where this object is categorized in.

GETorPOST/api/probe/get-list

List

This endpoint allows you to retrieve a paginated list of all your Probe. By default, a maximum of ten Probe are shown per page.

Optional Query Params

  • limit
    number
    Number of objects to fetch. By default 10, you can increase this count up to 100
  • skip
    number
    Number of objects to skip. This can be useful in pagination

Optional Request Body

List Request

POST
/api/probe/get-list?skip=0&limit=10
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "name": true,
    "slug": true,
    "createdByUserId": true,
    "description": true,
    "iconFileId": true
  },
  "query": {
    "key": "Example value"
  },
  "sort": {
    "createdAt": -1
  }
}

Response

{
  "count": 10,
  "limit": 10,
  "skip": 0,
  "data": [
    {
      "_id": "3777d340-28fe-11f1-b591-3fdcef396aba",
      "name": "US East Coast Probe",
      "slug": "us-east-coast-probe",
      "createdByUserId": "e5f6a7b8-c9d0-1234-ef12-345678901234",
      "description": "Monitors services from the US East Coast region",
      "iconFileId": "c3d4e5f6-a7b8-9012-cdef-123456789012"
    },
    {
      "_id": "3777d341-28fe-11f1-b591-3fdcef396aba",
      "name": "US East Coast Probe",
      "slug": "us-east-coast-probe",
      "createdByUserId": "e5f6a7b8-c9d0-1234-ef12-345678901234",
      "description": "Monitors services from the US East Coast region",
      "iconFileId": "c3d4e5f6-a7b8-9012-cdef-123456789012"
    },
    {
      "_id": "3777d342-28fe-11f1-b591-3fdcef396aba",
      "name": "US East Coast Probe",
      "slug": "us-east-coast-probe",
      "createdByUserId": "e5f6a7b8-c9d0-1234-ef12-345678901234",
      "description": "Monitors services from the US East Coast region",
      "iconFileId": "c3d4e5f6-a7b8-9012-cdef-123456789012"
    }
  ]
}
GETorPOST/api/probe/:id/get-item

Get item by ID

This endpoint allows you to retrieve Probe by ID.

  • id
    text
    ID of the Object

Optional Request Body

Get Item Request

POST
/api/probe/:id/get-item
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "name": true,
    "slug": true,
    "createdByUserId": true,
    "description": true,
    "iconFileId": true
  }
}

Response

{
  "_id": "3777d340-28fe-11f1-b591-3fdcef396aba",
  "name": "US East Coast Probe",
  "slug": "us-east-coast-probe",
  "createdByUserId": "e5f6a7b8-c9d0-1234-ef12-345678901234",
  "description": "Monitors services from the US East Coast region",
  "iconFileId": "c3d4e5f6-a7b8-9012-cdef-123456789012"
}
POST/api/probe/count

Count

This endpoint allows you to retrieve the count of all your Probe.

Optional Request Body

Count Request

POST
/api/probe/count
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "query": {
    "key": "Example value"
  }
}

Response

{
  "count": 107
}
POST/api/probe

Create Probe

This endpoint allows you to create a new object.

Create Request

POST
/api/probe
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "name": "US East Coast Probe",
    "createdByUserId": "e5f6a7b8-c9d0-1234-ef12-345678901234",
    "description": "Monitors services from the US East Coast region",
    "iconFileId": "c3d4e5f6-a7b8-9012-cdef-123456789012",
    "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e"
  }
}

Response

{
  "_id": "3777d340-28fe-11f1-b591-3fdcef396aba",
  "name": "US East Coast Probe",
  "slug": "us-east-coast-probe",
  "createdByUserId": "e5f6a7b8-c9d0-1234-ef12-345678901234",
  "description": "Monitors services from the US East Coast region",
  "iconFileId": "c3d4e5f6-a7b8-9012-cdef-123456789012"
}
PUT/api/probe/:id

Update by ID

This endpoint allows you to update object by its ID.

Alternative Methods

For clients that do not support PUT requests, you can use POST or GET with the same request headers and body:

POST/api/probe/:id/update-item
GET/api/probe/:id/update-item

Update Request

PUT
/api/probe/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "name": "US East Coast Probe",
    "description": "Monitors services from the US East Coast region",
    "iconFileId": "c3d4e5f6-a7b8-9012-cdef-123456789012"
  }
}

Response

{}
DELETE/api/probe/:id

Delete by ID

This endpoint allows you to delete object by its ID.

Alternative Methods

For clients that do not support DELETE requests, you can use POST or GET with the same request headers and body:

POST/api/probe/:id/delete-item
GET/api/probe/:id/delete-item

Delete Request

DELETE
/api/probe/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY

Response

{}

Permissions

Your API Token needs permissions to create, update, read or delete this resource. If you do not have permissions to make a request a 4xx status will be sent as response.

Read Permissions

Required to read Probe

  • Public
  • Project Owner
  • Project Admin
  • Project Member
  • Read Probe
  • Read All Project Resources

Create Permissions

Required to create Probe

  • Project Owner
  • Project Admin
  • Project Member
  • Create Probe

Update Permissions

Required to update Probe

  • Project Owner
  • Project Admin
  • Project Member
  • Edit Probe

Delete Permissions

Required to delete Probe

  • Project Owner
  • Project Admin
  • Project Member
  • Delete Probe